This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 636785 - "semanage module" is not mentioned in semanage man page
"semanage module" is not mentioned in semanage man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: man-pages-overrides (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE - Apps
: ManPageChange
Depends On:
Blocks: 677542
  Show dependency treegraph
 
Reported: 2010-09-23 05:55 EDT by Milos Malik
Modified: 2011-05-19 10:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: policycoreutils-2.0.83-19.3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 677542 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2010-09-23 05:55:13 EDT
Description of problem:
The program advertises "module" command, but the man page is quiet about it.

Version-Release number of selected component (if applicable):
policycoreutils-python-2.0.83-19.1.el6.i686
policycoreutils-sandbox-2.0.83-19.1.el6.i686
policycoreutils-gui-2.0.83-19.1.el6.i686
policycoreutils-2.0.83-19.1.el6.i686
policycoreutils-newrole-2.0.83-19.1.el6.i686

How reproducible:
always

Steps to Reproduce:
# semanage 2>&1 | grep -i module
semanage {boolean|login|user|port|interface|module|node|fcontext} -{l|D|E} [-n]
semanage module -{a|d|m} [--enable|--disable] module
        --enable         Enable a module
        --disable        Disable a module
# man semanage | col -b | grep module
# echo $?
1

Actual results:
The man page does not contain any description of "module" command.

Expected results:
The man page contains a description of "module" command.
Comment 1 Daniel Walsh 2010-09-23 16:49:41 EDT
Fixed in policycoreutils-2.0.83-19.3.el6.src.rpm
Comment 7 errata-xmlrpc 2011-05-19 10:28:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0780.html

Note You need to log in before you can comment on or make changes to this bug.